## qtlocation-opensource-src 5.0~git20130117

=== auto/cmake/test_modules/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(test_modules)

find_package(Qt5Gui REQUIRED)

find_package(Qt5Location REQUIRED)

include_directories(
  ${Qt5Location_INCLUDE_DIRS}
)

add_definitions(
  ${Qt5Location_DEFINITIONS}
)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

add_executable(mainapp main.cpp)
target_link_libraries(mainapp
  ${Qt5Location_LIBRARIES}
)

=== debian/changelog ===
qtlocation-opensource-src (5.0~git20130117-0ubuntu1) raring; urgency=low

  * Initial release
  * Cherry-pick from upstream:
    - add_license_files.patch

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 25 Jan 2013 16:20:27 +0200

=== debian/control ===
Source: qtlocation-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               qtbase5-private-dev,
               qtdeclarative5-private-dev,
               qt5-default,
               pkg-kde-tools,
               qt3d5-private-dev,
               libgeoclue-dev,
               libgconf2-dev,
               qtdeclarative5-qtquick2-plugin,
               libqt5v8-5-private-dev,
Standards-Version: 3.9.4
Homepage: http://qt-project.org/

Package: libqt5location5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Location module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Location module.

Package: qtdeclarative5-qtlocation-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Location module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Location QML plugin for Qt Declarative.

Package: qtlocation5-dev
Section: libdevel
Architecture: any
Depends: libqt5location5 (= ${binary:Version}), ${misc:Depends}, qtbase5-dev
Description: Qt 5 Location development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Location library.

Package: qtlocation5-private-dev
Architecture: any
Section: libdevel
Depends: qtlocation5-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 Location private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using location private headers.
 .
 Use at your own risk.

Package: qtlocation5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 3d examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 Location examples.

Package: qtlocation5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5location5 (= ${binary:Version}),
         ${misc:Depends}
Description: Qt Location library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Location
 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

%:
	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtlocation5-dbg

override_dh_auto_configure:
	qmake

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtlocation-opensource-src 5.0~git20130805

=== debian/changelog ===
qtlocation-opensource-src (5.0~git20130805-0ubuntu3) saucy; urgency=low

  [ Zoltan Balogh ]
  * debian/patches/add_support_for_ubuntu_platform.patch
    - Change Priority from 1000 to 2000 in plugin.json

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 29 Aug 2013 16:30:18 +0300

qtlocation-opensource-src (5.0~git20130805-0ubuntu2) saucy; urgency=low

  [ Timo Jyrinki ]
  * Add Vcs lines

  [ Thomas Voß ]
  * debian/patches/add_support_for_ubuntu_platform.patch
    - Ensure that QGeoPositionInfo is registered as a meta-type.
      When passing over QGeoPositionInfo elements over 
      Qt::QueuedConnection, the type needs to be registered.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 20 Aug 2013 15:50:24 +0300

qtlocation-opensource-src (5.0~git20130805-0ubuntu1) saucy; urgency=low

  * New upstream snapshot
    - Add OpenStreetMap plugin
  * Separate position and geoservices plugins into libqt5location5-plugins
  * Drop patches
    - debian/patches/add_license_files.patch, merged upstream
    - debian/patches/build_fixes.patch, not needed anymore
    - debian/patches/force_imports.patch, not needed anymore
    - debian/patches/add_module_version.patch, not needed anymore
  * Fix pkgconfig Libs.private path (LP: #1125156)
  * Add debian/patches/disable_nokia_plugin.patch:
    - Drop obsolete nokia plugin
  * Add debian/patches/add_support_for_ubuntu_platform.patch
    - Adds Ubuntu position plugin
    - Build-depend on libplatform-api1-dev
    - Currently build only on armhf, enable on x86 later
  * debian/rules:
    - Switch to dh --fail-missing
  * debian/control:
    - Add warning texts as the module is not yet released

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 15 Aug 2013 08:24:42 +0300

qtlocation-opensource-src (5.0~git20130117-0ubuntu2) saucy; urgency=low

  * debian/patches/add_module_version.patch:
    - Add a module version to fix FTBFS
  * debian/control:
    - Fix description

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 21 Jun 2013 17:32:30 +0200

=== debian/control ===
Source: qtlocation-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0),
               libgconf2-dev,
               libgeoclue-dev,
               libplatform-api1-dev [armhf],
               libqt5opengl5-dev,
               libqt5v8-5-private-dev,
               pkg-kde-tools,
               qt3d5-dev,
               qt5-default,
               qtbase5-private-dev (>= 5.0.2~),
               qtdeclarative5-private-dev (>= 5.0.2~),
               qtdeclarative5-qtquick2-plugin (>= 5.0.2~),
Standards-Version: 3.9.4
Homepage: http://qt-project.org/
Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtlocation-opensource-src
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtlocation-opensource-src

Package: libqt5location5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Location module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Location module.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: libqt5location5-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Replaces: libqt5location5 (<= 5.0~git20130117-0ubuntu2)
Depends: libqt5location5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Location module - position and geolocation plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Location position and geolocation plugins.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtdeclarative5-qtlocation-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libqt5location5-plugins, ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Location module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Location QML plugin for Qt Declarative.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtlocation5-dev
Section: libdevel
Architecture: any
Depends: libqt5location5 (= ${binary:Version}),
         libqt5location5-plugins (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Qt 5 Location development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Location library.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtlocation5-private-dev
Architecture: any
Section: libdevel
Depends: qtlocation5-dev (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 Location private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 5 applications using location private headers.
 .
 Use at your own risk.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtlocation5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: dpkg (>= 1.15.6~),
             ${misc:Pre-Depends},
Depends: libqt5location5-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 5 Location examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 Location examples.
 .
 WARNING: This module is not an official part of Qt 5, but instead a git
 snapshot of an ongoing development. The package is very likely to
 change in a binary incompatible way, and no guarantees are given.

Package: qtlocation5-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libqt5location5 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt Location library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Location
 libraries.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,23 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
 %:
-	dh $@ --list-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtlocation5-dbg
+	dh $@ --fail-missing --parallel --with pkgkde_symbolshelper --dbg-package=qtlocation5-dbg
 
 override_dh_auto_configure:
 	qmake
 
+override_dh_auto_install:
+	dh_auto_install
+	# Fix wrong path in pkgconfig files
+	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
+	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
+	
+	# Remove libtool-like files
+	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+	
+	# Remove binary that includes libtheora in itself
+	rm -f debian/tmp/usr/lib/*/qt5/examples/qtlocation/declarative/mapviewer/qml_location_mapviewer
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz

## qtlocation-opensource-src 5.2.1

=== debian/changelog ===
qtlocation-opensource-src (5.2.1-1ubuntu2) trusty; urgency=medium

  * libqt5location5.symbols: adding dep alternatives for the version
    compatible with OpenGLES (provided by another src pkg)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 10 Apr 2014 16:13:54 -0300

qtlocation-opensource-src (5.2.1-1ubuntu1) trusty; urgency=medium

  * Merge with ‘location-packages’ branch of Debian packaging Git,
    remaining changes:
    - Add needed Breaks/Replaces fields.
    - Make qtlocation5-dev depend on qtpositioning5-dev for this cycle.
    - Use Ubuntu Vcs fields.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 23 Mar 2014 13:56:16 +0400

qtlocation-opensource-src (5.2.1-2) UNRELEASED; urgency=medium

  [ Dmitry Shachnev ]
  * Rename the -doc, -dbg and -examples packages to match the source
    package name, for consistency with other Qt 5 modules.
  * Build new packages for qtlocation module.
  * Pass ‘-screen 0 640x480x24’ to Xvfb server when running tests,
    needed for executing OpenGL/QML tests on the builders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 23 Mar 2014 13:37:08 +0400

qtlocation-opensource-src (5.2.1-1) experimental; urgency=low

  * Initial release. (Closes: #697509)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Feb 2014 23:29:05 -0300

=== debian/control ===
Source: qtlocation-opensource-src
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               libgconf2-dev,
               libgeoclue-dev,
               libqt5opengl5-dev (>= 5.2.1+dfsg~),
               pkg-kde-tools,
               qt3d5-dev (>= 5.0~git20130701),
               qtbase5-private-dev (>= 5.2.1+dfsg~),
               qtdeclarative5-private-dev (>= 5.2.1~),
               qtdeclarative5-qtquick2-plugin (>= 5.2.1~),
               xauth,
               xvfb
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.2.1+dfsg~),
                     qttools5-dev-tools (>= 5.2.1~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtlocation-opensource-src
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtlocation-opensource-src

Package: libqt5location5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Location module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Location module.

Package: libqt5positioning5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Positioning module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Positioning module.

Package: libqt5location5-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Replaces: libqt5location5 (<= 5.0~git20130117-0ubuntu2),
Depends: libqt5location5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Location module - geolocation plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Location position and geolocation plugins.

Package: libqt5positioning5-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Replaces: libqt5location5-plugins (<= 5.0~git20130805-0ubuntu4),
Depends: libqt5positioning5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Positioning module - position plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Positioning plugins.

Package: qtdeclarative5-qtlocation-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5location5-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt Location module - QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Location QML plugin for Qt Declarative.

Package: qtdeclarative5-qtpositioning-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5positioning5-plugins, ${misc:Depends}, ${shlibs:Depends}
Description: Qt Positioning module - QML plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Positioning QML plugin for Qt Declarative.

Package: qtlocation5-dev
Architecture: any
Section: libdevel
Depends: libqt5location5 (= ${binary:Version}),
         libqt5location5-plugins (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         qtpositioning5-dev,
         ${misc:Depends}
Description: Qt 5 Location development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Location library.

Package: qtpositioning5-dev
Architecture: any
Section: libdevel
Depends: libqt5positioning5 (= ${binary:Version}),
         libqt5positioning5-plugins (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Breaks: qtlocation5-dev (<< 5.2.1-0ubuntu2~)
Replaces: qtlocation5-dev (<< 5.2.1-0ubuntu2~)
Description: Qt 5 Positioning development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Positioning library.

Package: qtlocation5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5location5-plugins (= ${binary:Version}),
         libqt5positioning5-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 Location and Positioning examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 Location and Positioning examples.

Package: qtlocation5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5location5 (= ${binary:Version}),
         libqt5positioning5 (= ${binary:Version}),
         ${misc:Depends}
Recommends: qtbase5-dbg, qtdeclarative5-dbg
Description: Qt Location library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Location
 and Positioning libraries.

Package: qtlocation5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Positioning documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 Positioning
 library and binaries.

Package: qtlocation5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Positioning HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 Positioning
 libraries and binaries.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
export QT_SELECT := qt5

%:
	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtlocation5-dbg

override_dh_auto_configure:
	qmake QT_BUILD_PARTS+=tests

override_dh_auto_build-arch:
	# This override may seem futile, but it helps us make sure that the tools
	# needed for building the docs are built before calling them.
	# If there's a better way, do not hesitate to tell us.
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build -Smakefile -- docs

override_dh_auto_install-arch:
	dh_auto_install
	# Fix wrong path in pkgconfig files
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
	
	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	
	# Remove private stuff
	rm -rfv $(CURDIR)/debian/tmp/usr/include/qt5/QtLocation/*/QtLocation/private
	rm -rfv $(CURDIR)/debian/tmp/usr/include/qt5/QtPositioning/*/QtPositioning/private
	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
	
	# Remove binary that includes libtheora in itself
	rm -f debian/tmp/usr/lib/*/qt5/examples/qtlocation/declarative/mapviewer/qml_location_mapviewer

override_dh_auto_install-indep:
	make INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	xvfb-run -a -s '-screen 0 640x480x24' dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
endif

override_dh_auto_clean:
	dh_auto_clean
	# Leftover files and all symlinks
	find \( -false \
	  -o -name \*.a \
	  -o -name Makefile.Debug \
	  -o -name Makefile.Release \
	  -o -name \*.o \
	  -o -name \*.prl \
	  -o -name \*.so \
	  -o -name \*.so.debug \
	  -o -type l \
	\) -print0 | xargs -0 rm -rfv

	# Some other leftover binaries
	rm -fv config.tests/geoclue/geoclue

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qt/([\d\.]*)/([\d\.]*)/submodules/qtlocation-opensource-src-([^-]*)\.tar.xz

## qtlocation-opensource-src 5.3.0

=== debian/changelog ===
qtlocation-opensource-src (5.3.0-0ubuntu4) utopic; urgency=medium

  [ Christian Dywan ]
  * Add debian/patches/appSpecificTileCache.diff (LP: #1276658)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 09 Sep 2014 06:55:28 +0000

qtlocation-opensource-src (5.3.0-0ubuntu3) utopic; urgency=medium

  * No-change rebuild to get dbgsyms for all binaries onto
    ddebs.ubuntu.com

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Jul 2014 14:05:46 -0700

qtlocation-opensource-src (5.3.0-0ubuntu2) utopic; urgency=medium

  * debian/control: adding back 'or' dependency for the gles variant

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 19 Jun 2014 03:13:13 -0300

qtlocation-opensource-src (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
    - Qt Location part is still not officially released, so applications may
      need changes
    - Qt Positioning should be fuly compatible with the previous version
  * Move include files to the new path
  * Use the new name for b-d, qml-module-qtquick2
  * Refresh skip_failing_tests.patch 
  * Update symbols

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Jun 2014 08:10:07 +0000

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
 Build-Depends: debhelper (>= 9.0.0),
                libgconf2-dev,
                libgeoclue-dev,
-               libqt5opengl5-dev (>= 5.2.1+dfsg~),
+               libqt5opengl5-dev (>= 5.3.0+dfsg~),
                pkg-kde-tools,
                qt3d5-dev (>= 5.0~git20130701),
-               qtbase5-private-dev (>= 5.2.1+dfsg~),
-               qtdeclarative5-private-dev (>= 5.2.1~),
-               qtdeclarative5-qtquick2-plugin (>= 5.2.1~),
+               qtbase5-private-dev (>= 5.3.0+dfsg~),
+               qtdeclarative5-private-dev (>= 5.3.0~),
+               qml-module-qtquick2 (>= 5.3.0~),
                xauth,
                xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.2.1+dfsg~),
-                     qttools5-dev-tools (>= 5.2.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.0+dfsg~),
+                     qttools5-dev-tools (>= 5.3.0~)
 Standards-Version: 3.9.5
 Homepage: http://qt-project.org/
 Vcs-Bzr: lp:~kubuntu-packagers/kubuntu-packaging/qtlocation-opensource-src
@@ -50,7 +50,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Replaces: libqt5location5 (<= 5.0~git20130117-0ubuntu2),
-Depends: libqt5location5 (= ${binary:Version}),
+Depends: libqt5location5 (= ${binary:Version}) | libqt5location5-gles,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Qt Location module - geolocation plugins

=== debian/rules ===
--- 
+++ 
@@ -33,8 +33,8 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 	
 	# Remove private stuff
-	rm -rfv $(CURDIR)/debian/tmp/usr/include/qt5/QtLocation/*/QtLocation/private
-	rm -rfv $(CURDIR)/debian/tmp/usr/include/qt5/QtPositioning/*/QtPositioning/private
+	rm -rfv $(CURDIR)/debian/tmp/usr/include/*/qt5/QtLocation/*/QtLocation/private
+	rm -rfv $(CURDIR)/debian/tmp/usr/include/*/qt5/QtPositioning/*/QtPositioning/private
 	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
 	
 	# Remove binary that includes libtheora in itself

## qtlocation-opensource-src 5.3.1

=== debian/changelog ===
qtlocation-opensource-src (5.3.1-1b1) staging; urgency=medium

  * No-change rebuild to fix a debile DB issue 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 09 Aug 2014 14:07:20 +0200

qtlocation-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Remove remove_qreal_check.patch, applied upstream.
  * Fix install file with new files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Jul 2014 13:24:41 -0300

qtlocation-opensource-src (5.3.0-3) unstable; urgency=medium

  * Add remove_qreal_check.patch to fix build failure on ARM.
  * Add myself to Uploaders.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 08 Jun 2014 17:39:36 +0400

qtlocation-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Re-enable tests, using disable_failing_tests.patch to disable the tests
    that are currently failing. Both of them seems to lack a source of
    information to properly work.
  * Add build dependencies needed for running the tests.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jun 2014 11:18:06 -0300

qtlocation-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Install headers in their new m-a path. Mark development package as
    Multi-Arch: same.
  * Remove transitional package qtdeclarative5-qtpositioning-plugin.
  * Remove skip_failing_tests.patch. If the test are failing then they should
    not be deactivated but solved, except we have a good reason to do it.
    And sadly we have one, but seems a missing service for the test to run
    properly. Disable tests *just* for this uppload.
  * Remove qtdeclarative5-qtquick2-plugin from the build dependencies, it is
    not really needed.
  * Add dbus as build dependency and run dbus-launch for the tests.
  * Add geoclue as build dependency, it is needed by the tests.
  * Update symbols files with current build log.
  * Update install files.
  * Fix path for removing private headers.
  * Update debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 29 May 2014 23:32:11 -0300

qtlocation-opensource-src (5.2.1-3) unstable; urgency=medium

  * Rename the QML module from qtdeclarative5-qtlocation-plugin to
    qml-module-location, adding proper Break+Replaces and renaming necessary
    files.
    Also rename the location QML module files, which is currently not being
     built.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 03 Apr 2014 12:14:03 -0300

qtlocation-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Mar 2014 08:34:10 -0300

=== debian/control ===
Source: qtlocation-opensource-src
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Timo Jyrinki <timo@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Dmitry Shachnev <mitya57@gmail.com>
Build-Depends: dbus,
               debhelper (>= 9.0.0),
               geoclue,
               geoclue-hostip,
               geoclue-localnet,
               geoclue-nominatim,
               libgconf2-dev,
               libgeoclue-dev,
               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
               pkg-kde-tools,
               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
               qtdeclarative5-private-dev (>= 5.3.1~),
               xauth,
               xvfb
Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.1+dfsg-2~),
                     qttools5-dev-tools (>= 5.3.1~)
Standards-Version: 3.9.5
Homepage: http://qt-project.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtlocation.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtlocation.git;a=summary

Package: libqt5positioning5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt Positioning module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Positioning module.

Package: libqt5positioning5-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5positioning5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt Positioning module - position plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt Positioning plugins.

Package: qml-module-qtpositioning
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5positioning5-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qtdeclarative5-qtpositioning-plugin (<< 5.2.1-3~)
Replaces: qtdeclarative5-qtpositioning-plugin (<< 5.2.1-3~)
Description: Qt Positioning QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Positioning QML module for Qt Declarative.

Package: qtpositioning5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt5positioning5 (= ${binary:Version}),
         libqt5positioning5-plugins (= ${binary:Version}),
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends}
Description: Qt 5 Location and Positioning development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 5
 applications using Qt Location and Positioning libraries.

Package: qtpositioning5-examples
Architecture: any
Multi-Arch: same
Section: x11
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5positioning5-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 Location and Positioning examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 5 Location and Positioning examples.

Package: qtpositioning5-dbg
Priority: extra
Architecture: any
Multi-Arch: same
Section: debug
Depends: libqt5positioning5 (= ${binary:Version}), ${misc:Depends}
Recommends: qtbase5-dbg, qtdeclarative5-dbg
Description: Qt Location library debugging symbols
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the debugging symbols for the Qt 5 Location
 and Positioning libraries.

Package: qtpositioning5-doc
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Positioning documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 5 Positioning
 library and binaries.

Package: qtpositioning5-doc-html
Priority: extra
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Qt 5 Positioning HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 5 Positioning
 libraries and binaries.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtlocation5-dbg
+	dh $@ --parallel --with pkgkde_symbolshelper --dbg-package=qtpositioning5-dbg
 
 override_dh_auto_configure:
 	qmake QT_BUILD_PARTS+=tests
@@ -33,8 +33,8 @@
 	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
 	
 	# Remove private stuff
-	rm -rfv $(CURDIR)/debian/tmp/usr/include/*/qt5/QtLocation/*/QtLocation/private
-	rm -rfv $(CURDIR)/debian/tmp/usr/include/*/qt5/QtPositioning/*/QtPositioning/private
+	rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtLocation/*/QtLocation/private
+	rm -rfv $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/qt5/QtPositioning/*/QtPositioning/private
 	rm -fv $(CURDIR)/debian/tmp/usr/lib/*/qt5/mkspecs/modules/qt_lib_*_private.pri
 	
 	# Remove binary that includes libtheora in itself
@@ -48,7 +48,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a -s '-screen 0 640x480x24' dh_auto_test -- QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+	xvfb-run -a dbus-launch --exit-with-session dh_auto_test -- QT_DEBUG_PLUGINS=1 QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
 endif
 
 override_dh_auto_clean:
@@ -67,3 +67,4 @@
 
 	# Some other leftover binaries
 	rm -fv config.tests/geoclue/geoclue
+

## qtlocation-opensource-src 5.3.2

=== debian/changelog ===
qtlocation-opensource-src (5.3.2-2~bpo70+1) wheezy-backports; urgency=medium

  * Upload to wheezy-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 15 Oct 2014 13:07:16 -0300

qtlocation-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Create disable_qgeocircle_extendShape_tests.patch to disable this tests
    until QTBUG-41447 is solved.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 00:26:51 -0300

qtlocation-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Drop dh_auto_build-arch override, no longer needed.
  * Run tests with QT_QPA_PLATFORM=minimal, so that they could be
    run without Xvfb.
  * Update my e-mail address.
  * Update Vcs-Browser field to point to cgit interface.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildds' logs.
  * Update install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Sep 2014 00:55:17 -0300

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,6 @@
 
 override_dh_auto_configure:
 	qmake QT_BUILD_PARTS+=tests
-
-override_dh_auto_build-arch:
-	# This override may seem futile, but it helps us make sure that the tools
-	# needed for building the docs are built before calling them.
-	# If there's a better way, do not hesitate to tell us.
-	dh_auto_build
 
 override_dh_auto_build-indep:
 	dh_auto_build -Smakefile -- docs
@@ -48,7 +42,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a dbus-launch --exit-with-session dh_auto_test -- QT_DEBUG_PLUGINS=1 QT_PLUGIN_PATH=$(CURDIR)/plugins LD_LIBRARY_PATH=$(CURDIR)/lib
+	dbus-launch --exit-with-session dh_auto_test -- QT_QPA_PLATFORM=minimal QT_DEBUG_PLUGINS=1 QT_PLUGIN_PATH=$(CURDIR)/plugins
 endif
 
 override_dh_auto_clean:

## qtlocation-opensource-src 5.4.1

=== debian/changelog ===
qtlocation-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.1.
  * Update watch and copyright to use https://download.qt.io/.
  * Mark three destructors symbols missing with GCC 5 as optional
    (closes: #778090).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2015 10:08:42 +0300

qtlocation-opensource-src (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Drop disable_qgeocircle_extendShape_tests.patch, no longer needed.
  * Disable building qtlocation module for now.
  * Build-depend on qtbase5-doc-html, for docs linking.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 27 Dec 2014 16:33:21 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Timo Jyrinki <timo@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Dmitry Shachnev <mitya57@gmail.com>
+           Dmitry Shachnev <mitya57@debian.org>
 Build-Depends: dbus,
                debhelper (>= 9.0.0),
                geoclue,
@@ -13,18 +13,17 @@
                geoclue-nominatim,
                libgconf2-dev,
                libgeoclue-dev,
-               libqt5opengl5-dev (>= 5.3.1+dfsg-2~),
+               libqt5opengl5-dev (>= 5.4.1+dfsg~),
                pkg-kde-tools,
-               qtbase5-private-dev (>= 5.3.1+dfsg-2~),
-               qtdeclarative5-private-dev (>= 5.3.1~),
-               xauth,
-               xvfb
-Build-Depends-Indep: libqt5sql5-sqlite (>= 5.3.1+dfsg-2~),
-                     qttools5-dev-tools (>= 5.3.1~)
-Standards-Version: 3.9.5
+               qtbase5-private-dev (>= 5.4.1+dfsg~),
+               qtdeclarative5-private-dev (>= 5.4.1~)
+Build-Depends-Indep: libqt5sql5-sqlite (>= 5.4.1+dfsg~),
+                     qtbase5-doc-html (>= 5.4.1+dfsg~),
+                     qttools5-dev-tools (>= 5.4.1~)
+Standards-Version: 3.9.6
 Homepage: http://qt-project.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/qt/qtlocation.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/qt/qtlocation.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/qt/qtlocation.git
 
 Package: libqt5positioning5
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -61,4 +61,3 @@
 
 	# Some other leftover binaries
 	rm -fv config.tests/geoclue/geoclue
-
